package com.db4o.samples;

import com.db4o.*;
import com.db4o.lib.Logger;

public class S08_Query_By_Example
{
	public static void main(String[] args)
	{
		ObjectContainer db = Db4o.openFile("samples.yap");
		Logger.log("*** S08 Retrieving all Individual where firstName is 'Alice'");

		
		Individual alice = new Individual();
		alice.firstName = "Alice";

		ObjectSet os = db.get(alice);
		// The principle Query-By-Example is very simple.
		// db4o tries to understand the passed 'template'
		// All matching objects are delivered in the resultset.


		while(os.hasNext()){
			Logger.log(db, os.next());
		}
		db.close();
	}
}
