package com.db4o.jgen;

import com.db4o.*;
import com.db4o.lib.*;
import com.db4o.sql.*;

public class JPackage
{
	private String i_name;

	public JPackage(String a_name){
		i_name = a_name;
	}
	
	public JPackage(Class a_Class){
		Str l_s = new Str(a_Class.getName());
		l_s.splitRight(".");
		i_name = l_s.getString();
	}
	
	public String getName(){
		return i_name;
	}
	
	public String getPath(){
		Str l_s = new Str(i_name);
		l_s.replace(".",File.separator);
		return l_s.getString() + File.separator;
	}
	
	public void write (File a_File){
		a_File.replace(JGen.PACKAGE,"package " + i_name + ";");
	}
}
