package com.db4o.lib;

import java.util.GregorianCalendar;

public class Date
{
	private int i_year;
	private int i_month;
	private int i_day;
	
	
	public Date(){
		GregorianCalendar l_Cal = new GregorianCalendar();
		i_year = l_Cal.get(GregorianCalendar.YEAR);
		i_month = l_Cal.get(GregorianCalendar.MONTH) + 1;
		i_day = l_Cal.get(GregorianCalendar.DATE);
	}
	
	public Date(int a_year,int a_month, int a_day)
		throws Exception{
		i_year = a_year;
		i_month = a_month;
		i_day = a_day;
		validate();
	}
	
	public int getYear(){
		return i_year;
	}
	
	public int getMonth(){
		return i_month;
	}
	
	public int getDay(){
		return i_day;
	}
		
	private void validate() throws Exception{
		if (i_month < 1)
			throw new Exception("Month < 1");
		if (i_month > 12) 
			throw new Exception("Month > 12");
		if (i_day < 1)
			throw new Exception("Day < 1");
		if (i_day > 31)
			throw new Exception("Day > 31");
		
	}
}
