package com.db4o.lib;

public class DebugProfile
{
	private static Collection i_running;
	private long i_start;
	private String i_tag;
	
	private DebugProfile(String a_tag){
		i_tag = a_tag;
		i_start = System.currentTimeMillis();
	}
	
	public static void start(String tag){
		DebugProfile profile = new DebugProfile(tag);
		if(i_running == null){
			i_running = new Collection();
		}
		i_running.add(profile);
	}
	
	public static void stop(String tag){
		if(i_running != null){
			DebugProfile profile;
			Iterator i = i_running.iterator();
			while(i.hasNext()){
				profile = (DebugProfile)i.next();
				if( profile.i_tag.equals(tag) ){
					long duration = System.currentTimeMillis() - profile.i_start;
					System.out.println(tag + ": " + Long.toString(duration) + " ms");
					i.remove();
					return;
				}
			}
		}
	}
}
