package com.db4o.samples;

import com.db4o.lib.*;
import java.io.File;

public class AllSamples
{
	public static void main(String[] args) 
	{
		// Samples should be executed in the provided numerical 
		// to have the expected data in the database.
		
		// To avoid duplicates, the file is deleted before the run.
		new File("samples.yap").delete();
		
		S01_Set.main(null);
		S02_Echo.main(null);
		S03_Set_Complex.main(null);
		S04_Get_All.main(null);
		S05_Get_By_Class.main(null);
		S06_Get_SubClasses.main(null);
		S07_Get_SuperClasses.main(null);
		S08_Query_By_Example.main(null);
		S09_Update.main(null);
		S10_Joining_Objects.main(null);
		S11_Instantiation_Depth.main(null);
		S12_Activate.main(null);
		S13_Equality.main(null);
		S14_Deactivate.main(null);
		S15_Update_Per_Object.main(null);
		S16_Multiple_ObjectContainers.main(null);
		S17_Delete.main(null);
		
	}
}
