package com.db4o.samples;

import com.db4o.*;
import com.db4o.lib.Logger;

public class S07_Get_SuperClasses
{
	public static void main(String[] args)
	{
		ObjectContainer db = Db4o.openFile("samples.yap");
		Logger.log("*** S07 Retrieving all objects of class Company");


		ObjectSet os = db.get(new Company());
		// Retrieving objects of a class does
		// not retrieve the complete set of objects of superclasses.
		//
		// In this example only objects of the Company class are retrieved.
		// Other objects of the Person class are not retrieved.


		while(os.hasNext()){
			Logger.log(db, os.next());
		}
		db.close();
	}
}
