package com.db4o.samples;

import com.db4o.*;
import com.db4o.lib.Logger;

public class S14_Deactivate
{
	public static void main(String[] args)
	{
		ObjectContainer db = Db4o.openFile("samples.yap");
		Logger.log("*** S14 Retrieving Individual 'Alice' and her Address.");
		Individual templateAlice = new Individual();
		templateAlice.firstName = "Alice";
		templateAlice.addresses = new Address[0];
		Individual alice = (Individual)db.get(templateAlice).next();
		Logger.log(db, alice);
		
		
		// To free memory cou can also deactivate objects
		db.deactivate(alice.addresses[0]);
		Logger.log("After alice.addresses[0].db().deactivate()");
		Logger.log(db, alice);
		
		
		db.close();
	}
}
